import os.path as osp
import pathlib


########################################################################################
# Specification of paths where dataset and output results will be stored
########################################################################################

PROJECT_PATH = pathlib.Path(__file__).parent.parent.parent.absolute()

# Absolute path where datasets and processed data (e.g. precomputed embeddings) will be stored
DATA_PATH = ''
TO_ADD_PATH=str(PROJECT_PATH)
# Absolute path where results (e.g. output result files, model weights) will be stored
OUTPUT_PATH = None

if DATA_PATH is None:
    DATA_PATH = osp.join(PROJECT_PATH, 'data')

if OUTPUT_PATH is None:
    OUTPUT_PATH = osp.join(PROJECT_PATH, 'output')
